<?php

namespace Drupal\Tests\tour_core\Functional\Locale;

use Drupal\Tests\tour_core\Functional\TourTestBase;

/**
 * Tests the Translate Interface tour.
 *
 * @group tour
 */
class LocaleTranslateStringTourTest extends TourTestBase {

  /**
   * {@inheritdoc}
   */
  protected static $modules = ['locale', 'tour'];

  /**
   * {@inheritdoc}
   */
  protected array $permissions = ['translate interface', 'administer languages'];

  /**
   * Tests locale tour tip availability.
   */
  public function testTranslateStringTourTips(): void {
    // Add another language so there are no missing form items.
    $edit = [];
    $edit['predefined_langcode'] = 'es';
    $this->drupalGet('admin/config/regional/language/add');
    $this->submitForm($edit, 'Add language');

    $this->drupalGet('admin/config/regional/translate');
    $this->assertTourTips();
  }

}
